Loading...
Searching...
No Matches
header.hpp File Reference

Provides the seqan3::sam_file_header class. More...

`#include <deque>`
`#include <ranges>`
`#include <unordered_map>`
`#include <vector>`
`#include <seqan3/alphabet/concept.hpp>`
`#include <seqan3/io/sam_file/detail/cigar.hpp>`
`#include <seqan3/utility/views/type_reduce.hpp>`
Include dependency graph for header.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | seqan3::sam_file_header< ref_ids_type >
| Stores the header information of SAM/BAM files. More...
struct | seqan3::sam_file_program_info_t
| Stores information of the program/tool that was used to create a SAM/BAM file. More...

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Detailed Description

Provides the seqan3::sam_file_header class.

Author
  Svenja Mehringer <svenja.mehringer AT fu-berlin.de>

Hide me